import { NextIntlClientProvider } from "next-intl"
import { getMessages } from "next-intl/server"

import type { ReactNode } from "react"

export default async function PortalLayout({
  children,
}: {
  children: ReactNode
}) {
  const messages = await getMessages()

  return (
    <NextIntlClientProvider messages={messages}>
      <div className="min-h-screen w-full flex flex-col bg-background text-foreground">
        {children}
      </div>
    </NextIntlClientProvider>
  )
}
